import { h, Host } from "@stencil/core";
import { cls } from "../../utils/helpers";
export class XDivider {
    constructor() {
        this.align = 'left';
    }
    /**
     * Render component
     */
    render() {
        return h(Host, { key: '33860b4fc551f5dc9be775283d18ef08b3f18f49', class: cls(`divider-${this.align}`, { 'divider-with-text': true }) }, h("span", { key: 'a48286b100979cfb797a28f4752020523d9b31e8', class: "divider-inner-text" }, h("slot", { key: 'aca1570f44c247348a933e40b916011aec46afcb' })));
    }
    static get is() { return "x-divider"; }
    static get originalStyleUrls() {
        return {
            "$": ["./style.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["style.css"]
        };
    }
    static get properties() {
        return {
            "align": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "DividerAlignType",
                    "resolved": "\"center\" | \"left\" | \"right\"",
                    "references": {
                        "DividerAlignType": {
                            "location": "local",
                            "path": "/opt/atlassian/pipelines/agent/build/src/components/x-divider/component.tsx",
                            "id": "src/components/x-divider/component.tsx::DividerAlignType"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "Element text aligment"
                },
                "attribute": "align",
                "reflect": false,
                "defaultValue": "'left'"
            }
        };
    }
}
